# Uses of Interface
org.opensaml.saml.saml2.metadata.Extensions

Packages that use Extensions
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of Extensions in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type Extensions
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<Extensions>`
AlgorithmFilter.`extBuilder`
Builder for `Extensions`.
`private final SAMLObjectBuilder<Extensions>`
EntityAttributesFilter.`extBuilder`
Builder for `Extensions`.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return Extensions
Modifier and Type
Method
Description
`protected Extensions`
AlgorithmFilter.`getExtensions(EntityDescriptor descriptor)`
Return existing `Extensions` object or create it first.

## Uses of Extensions in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return Extensions
Modifier and Type
Method
Description
`Extensions`
AffiliationDescriptor.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
ContactPerson.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
EntitiesDescriptor.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
EntityDescriptor.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
Organization.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
RoleDescriptor.`getExtensions()`
Gets the Extensions child of this object.
Methods in org.opensaml.saml.saml2.metadata with parameters of type Extensions
Modifier and Type
Method
Description
`void`
AffiliationDescriptor.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
ContactPerson.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
EntitiesDescriptor.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
EntityDescriptor.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
Organization.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
RoleDescriptor.`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.

## Uses of Extensions in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement Extensions
Modifier and Type
Class
Description
`class`
`ExtensionsImpl`
Implementation of `Extensions`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as Extensions
Modifier and Type
Field
Description
`private Extensions`
AffiliationDescriptorImpl.`extensions`
Extensions child.
`private Extensions`
ContactPersonImpl.`extensions`
Extensions child object.
`private Extensions`
EntitiesDescriptorImpl.`extensions`
Extensions child.
`private Extensions`
EntityDescriptorImpl.`extensions`
Extensions child.
`private Extensions`
OrganizationImpl.`extensions`
element extensions.
`private Extensions`
RoleDescriptorImpl.`extensions`
Extensions child.
`private Extensions`
RoleDescriptorXSAnyAdapter.`extensions`
Extensions child.
Methods in org.opensaml.saml.saml2.metadata.impl that return Extensions
Modifier and Type
Method
Description
`Extensions`
ExtensionsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Extensions`
ExtensionsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Extensions`
AffiliationDescriptorImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
ContactPersonImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
EntitiesDescriptorImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
EntityDescriptorImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
OrganizationImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
RoleDescriptorImpl.`getExtensions()`
Gets the Extensions child of this object.
`Extensions`
RoleDescriptorXSAnyAdapter.`getExtensions()`
Gets the Extensions child of this object.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type Extensions
Modifier and Type
Method
Description
`void`
AffiliationDescriptorImpl.`setExtensions(Extensions theExtensions)`
Sets the Extensions child of this object.
`void`
ContactPersonImpl.`setExtensions(Extensions theExtensions)`
Sets the Extensions child of this object.
`void`
EntitiesDescriptorImpl.`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.
`void`
EntityDescriptorImpl.`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.
`void`
OrganizationImpl.`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.
`void`
RoleDescriptorImpl.`setExtensions(Extensions ext)`
Sets the Extensions child of this object.
`void`
RoleDescriptorXSAnyAdapter.`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.